Subject: Re: DISMAN-SCHEDULE-MIB interopability testing

From: [email-masked]
Date: Fri, 25 Jun 1999 16:28:56 -0400 (EDT)

Hello,

I know this is kinda late, but I'll toss it out anyway...
(Kinda hard to squeeze this in around my day job...)

I have not heard of anybody doing interoperability testing of the
DISMAN-SCHEDULE-MIB or DISMAN-SCRIPT-MIB agents.  If it's of any 
assistance to the working group, I'll volunteer to make DISMAN-
SCHEDULE-MIB and DISMAN-SCRIPT-MIB agents available for interoper-
ability testing.  

I'll also be glad to work with any other implementors to test their 
implementation.  But could somebody give me a clue about meaningful 
interoperability tests of these agents, other than perhaps a few get/set 
requests?  I've held back on making this offer partly because I'm
unclear about what interoperability tests of these agents might be 
meaningful.

Regards,
--Alan
 
 -----------------------------------------------------------------------------
 Alan Luchuk       SNMP Research, Inc.                 Voice:  +1 423 573 1434
 Software Engineer 3001 Kimberlin Heights Road         FAX:    +1 423 573 9197
 [email-masked]   Knoxville, TN  37920-9716  U.S.A.   http://www.int.snmp.com/
 -----------------------------------------------------------------------------

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Tue, 29 Jun 1999 13:46:41 +0200

>>>>> luchuk  writes:

luchuk> I have not heard of anybody doing interoperability testing of
luchuk> the DISMAN-SCHEDULE-MIB or DISMAN-SCRIPT-MIB agents.  If it's
luchuk> of any assistance to the working group, I'll volunteer to make
luchuk> DISMAN-SCHEDULE-MIB and DISMAN-SCRIPT-MIB agents available
luchuk> for interoper- ability testing.

I know that Eamon has done some test with our implementation. We also
have a few scripts to interact with DISMAN-SCRIPT-MIB agents and we
can simply point them to your implementation just to see what happens.
I think it would be great to get more implementations online since.

It might also be useful to do some boundary testing. I usually find it
most interesting to test how implementations react on requests that
should result in an error.

luchuk> I'll also be glad to work with any other implementors to test
luchuk> their implementation.  But could somebody give me a clue about
luchuk> meaningful interoperability tests of these agents, other than
luchuk> perhaps a few get/set requests?  I've held back on making this
luchuk> offer partly because I'm unclear about what interoperability
luchuk> tests of these agents might be meaningful.

For progression within the IETF, we just need "one or more advocates".
BTW, did you implement the smCodeTable of the DISMAN-SCRIPT-MIB?

							Juergen
-- 
Juergen Schoenwaelder  [email-masked] http://www.cs.tu-bs.de/~schoenw
Technical University Braunschweig, Dept. Operating Systems & Computer Networks
Bueltenweg 74/75, 38106 Braunschweig, Germany.        (Tel. +49 531 / 391 3289)